"""
PyUtilKit - A multi-purpose Python utility package

PyUtilKit provides ready-to-use, frequently-needed helper functions 
for everyday coding tasks — saving time, reducing boilerplate, 
and improving code readability.

Core modules:
- string_utils: Simplify common string operations
- file_utils: Handle simple file operations in one line
- math_utils: Provide safe, reusable mathematical utilities
- list_utils: Provide helpers for list processing and manipulation
"""

from pyutilkit import string_utils
from pyutilkit import file_utils
from pyutilkit import math_utils
from pyutilkit import list_utils

__version__ = "0.1.0"
__author__ = "Sarvesh Kannan" 